| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
CmdDrive::ToLowerFunc Class Reference
uiCmdDriver

`#include <cmdfunction.h>`

Inheritance diagram for CmdDrive::ToLowerFunc:
[legend]

## Public Member Functions
| ToLowerFunc (const CmdDriver &cmddrv)
bool | eval (const BufferStringSet &args, BufferString &res) const override
const char * | name () const override
Public Member Functions inherited from CmdDrive::Function
| Function (const CmdDriver &cmddrv)
virtual | ~Function ()

## Static Public Member Functions
static Function * | createInstance (const CmdDriver &cmddrv)
static void | initClass ()
static const char * | keyWord ()
Static Public Member Functions inherited from CmdDrive::Function
static BufferString | factoryKey (const char *name)
static void | initStandardFunctions ()

## Protected Attributes
BufferString | name_
Protected Attributes inherited from CmdDrive::Function
const CmdDriver & | drv_

## Additional Inherited Members
Protected Member Functions inherited from CmdDrive::Function
const uiMainWin * | applWin () const
const uiMainWin * | curWin () const
bool | openQDlg () const
const WildcardManager & | wildcardMan () const
Static Protected Member Functions inherited from CmdDrive::Function
static BufferString | createFactoryKey (const char *keyword)

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ToLowerFunc()

CmdDrive::ToLowerFunc::ToLowerFunc | ( | const CmdDriver & | cmddrv | ) |
| inline

## Member Function Documentation

## ◆ createInstance()

static Function * CmdDrive::ToLowerFunc::createInstance | ( | const CmdDriver & | cmddrv | ) |
| inline static

## ◆ eval()

bool CmdDrive::ToLowerFunc::eval | ( | const BufferStringSet & | args,
|  | BufferString & | res ) const
| override virtual

Implements CmdDrive::Function.

## ◆ initClass()

static void CmdDrive::ToLowerFunc::initClass | ( |  | ) |
| inline static

## ◆ keyWord()

static const char * CmdDrive::ToLowerFunc::keyWord | ( |  | ) |
| inline static

## ◆ name()

const char * CmdDrive::ToLowerFunc::name | ( |  | ) | const
| inline override virtual

Implements CmdDrive::Function.

## Member Data Documentation

## ◆ name_

BufferString CmdDrive::ToLowerFunc::name_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025